Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.jsword.versification
Enum BibleBook

    java.lang.Object
      java.lang.Enum<BibleBook>
          org.crosswire.jsword.versification.BibleBook

All Implemented Interfaces:
  Serializable, Comparable<BibleBook>

    public enum BibleBook

extends Enum<BibleBook>

A BibleBook is a book of the Bible. It may or may not be canonical. Note that the ordering of these books varies from one Versification to another.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`ACTS`
`ADD_DAN`
`ADD_ESTH`
`ADD_PS`
`AMOS`
`APOSTOLIC`
`ASCEN_ISA`
`BAR`
`BAR2`
`BAR4`
`BARN`
`BEL`
`CHR1`
`CHR2`
`CLEM1`
`CLEM2`
`COL`
`COR1`
`COR2`
`COR3`
`DAN`
`DEUT`
`ECCL`
`EN1`
`EP_BAR`
`EP_COR_PAUL`
`EP_JER`
`EP_LAO`
`EPH`
`ESD1`
`ESD2`
`ESD3`
`ESD4`
`ESD5`
`ESTH`
`ESTH_GR`
`EXOD`
`EZEK`
`EZRA`
`GAL`
`GEN`
`HAB`
`HAG`
`HEB`
`HERM`
`HERM_MAND`
`HERM_SIM`
`HERM_VIS`
`HOS`
`INTRO_BIBLE`
`INTRO_NT`
`INTRO_OT`
`ISA`
`JAS`
`JDT`
`JER`
`JOB`
`JOEL`
`JOHN`
`JOHN1`
`JOHN2`
`JOHN3`
`JONAH`
`JOS_ASEN`
`JOSH`
`JUBS`
`JUDE`
`JUDG`
`KGS1`
`KGS2`
`LAM`
`LEV`
`LUKE`
`MACC1`
`MACC2`
`MACC3`
`MACC4`
`MAL`
`MARK`
`MATT`
`MIC`
`NAH`
`NEH`
`NUM`
`OBAD`
`ODES`
`PET1`
`PET2`
`PHIL`
`PHLM`
`PR_AZAR`
`PR_MAN`
`PROV`
`PS`
`PS_JOS`
`PSALM_SOL`
`PSS151`
`REV`
`ROM`
`RUTH`
`SAM1`
`SAM2`
`SIR`
`SONG`
`SUS`
`T12PATR`
`T12PATR_GAD`
`T12PATR_TASH`
`T12PATR_TBENJ`
`T12PATR_TDAN`
`T12PATR_TISS`
`T12PATR_TJOS`
`T12PATR_TJUD`
`T12PATR_TLEVI`
`T12PATR_TNAPH`
`T12PATR_TREU`
`T12PATR_TSIM`
`T12PATR_TZeb`
`THESS1`
`THESS2`
`TIM1`
`TIM2`
`TITUS`
`TOB`
`WIS`
`ZECH`
`ZEPH`

Field Summary
`private static Map<String,BibleBook>` | `exactMatches`
`private boolean` | `isShortBook` Indicates that the book consists of a single chapter.
`private String` | `osis` The OSIS name for the book.
`private static Map<String,BibleBook>` | `osisMap` A quick lookup based on OSIS name for the book

Method Summary
`static BibleBook` | `fromExactOSIS(String osis)`
`static BibleBook` | `fromOSIS(String osis)` Case insensitive search for BibleBook for an OSIS name.
`String` | `getOSIS()` Get the OSIS representation of this BibleBook.
`boolean` | `isShortBook()`
`String` | `toString()` Get the OSIS representation of this BibleBook.
`static BibleBook` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BibleBook[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTRO_BIBLE

    public static final BibleBook INTRO_BIBLE

### INTRO_OT

    public static final BibleBook INTRO_OT

### GEN

    public static final BibleBook GEN

### EXOD

    public static final BibleBook EXOD

### LEV

    public static final BibleBook LEV

### NUM

    public static final BibleBook NUM

### DEUT

    public static final BibleBook DEUT

### JOSH

    public static final BibleBook JOSH

### JUDG

    public static final BibleBook JUDG

### RUTH

    public static final BibleBook RUTH

### SAM1

    public static final BibleBook SAM1

### SAM2

    public static final BibleBook SAM2

### KGS1

    public static final BibleBook KGS1

### KGS2

    public static final BibleBook KGS2

### CHR1

    public static final BibleBook CHR1

### CHR2

    public static final BibleBook CHR2

### EZRA

    public static final BibleBook EZRA

### NEH

    public static final BibleBook NEH

### ESTH

    public static final BibleBook ESTH

### JOB

    public static final BibleBook JOB

### PS

    public static final BibleBook PS

### PROV

    public static final BibleBook PROV

### ECCL

    public static final BibleBook ECCL

### SONG

    public static final BibleBook SONG

### ISA

    public static final BibleBook ISA

### JER

    public static final BibleBook JER

### LAM

    public static final BibleBook LAM

### EZEK

    public static final BibleBook EZEK

### DAN

    public static final BibleBook DAN

### HOS

    public static final BibleBook HOS

### JOEL

    public static final BibleBook JOEL

### AMOS

    public static final BibleBook AMOS

### OBAD

    public static final BibleBook OBAD

### JONAH

    public static final BibleBook JONAH

### MIC

    public static final BibleBook MIC

### NAH

    public static final BibleBook NAH

### HAB

    public static final BibleBook HAB

### ZEPH

    public static final BibleBook ZEPH

### HAG

    public static final BibleBook HAG

### ZECH

    public static final BibleBook ZECH

### MAL

    public static final BibleBook MAL

### INTRO_NT

    public static final BibleBook INTRO_NT

### MATT

    public static final BibleBook MATT

### MARK

    public static final BibleBook MARK

### LUKE

    public static final BibleBook LUKE

### JOHN

    public static final BibleBook JOHN

### ACTS

    public static final BibleBook ACTS

### ROM

    public static final BibleBook ROM

### COR1

    public static final BibleBook COR1

### COR2

    public static final BibleBook COR2

### GAL

    public static final BibleBook GAL

### EPH

    public static final BibleBook EPH

### PHIL

    public static final BibleBook PHIL

### COL

    public static final BibleBook COL

### THESS1

    public static final BibleBook THESS1

### THESS2

    public static final BibleBook THESS2

### TIM1

    public static final BibleBook TIM1

### TIM2

    public static final BibleBook TIM2

### TITUS

    public static final BibleBook TITUS

### PHLM

    public static final BibleBook PHLM

### HEB

    public static final BibleBook HEB

### JAS

    public static final BibleBook JAS

### PET1

    public static final BibleBook PET1

### PET2

    public static final BibleBook PET2

### JOHN1

    public static final BibleBook JOHN1

### JOHN2

    public static final BibleBook JOHN2

### JOHN3

    public static final BibleBook JOHN3

### JUDE

    public static final BibleBook JUDE

### REV

    public static final BibleBook REV

### TOB

    public static final BibleBook TOB

### JDT

    public static final BibleBook JDT

### ADD_ESTH

    public static final BibleBook ADD_ESTH

### WIS

    public static final BibleBook WIS

### SIR

    public static final BibleBook SIR

### BAR

    public static final BibleBook BAR

### EP_JER

    public static final BibleBook EP_JER

### PR_AZAR

    public static final BibleBook PR_AZAR

### SUS

    public static final BibleBook SUS

### BEL

    public static final BibleBook BEL

### MACC1

    public static final BibleBook MACC1

### MACC2

    public static final BibleBook MACC2

### MACC3

    public static final BibleBook MACC3

### MACC4

    public static final BibleBook MACC4

### PR_MAN

    public static final BibleBook PR_MAN

### ESD1

    public static final BibleBook ESD1

### ESD2

    public static final BibleBook ESD2

### PSS151

    public static final BibleBook PSS151

### ODES

    public static final BibleBook ODES

### PSALM_SOL

    public static final BibleBook PSALM_SOL

### EP_LAO

    public static final BibleBook EP_LAO

### ESD3

    public static final BibleBook ESD3

### ESD4

    public static final BibleBook ESD4

### ESD5

    public static final BibleBook ESD5

### EN1

    public static final BibleBook EN1

### JUBS

    public static final BibleBook JUBS

### BAR4

    public static final BibleBook BAR4

### ASCEN_ISA

    public static final BibleBook ASCEN_ISA

### PS_JOS

    public static final BibleBook PS_JOS

### APOSTOLIC

    public static final BibleBook APOSTOLIC

### CLEM1

    public static final BibleBook CLEM1

### CLEM2

    public static final BibleBook CLEM2

### COR3

    public static final BibleBook COR3

### EP_COR_PAUL

    public static final BibleBook EP_COR_PAUL

### JOS_ASEN

    public static final BibleBook JOS_ASEN

### T12PATR

    public static final BibleBook T12PATR

### T12PATR_TASH

    public static final BibleBook T12PATR_TASH

### T12PATR_TBENJ

    public static final BibleBook T12PATR_TBENJ

### T12PATR_TDAN

    public static final BibleBook T12PATR_TDAN

### T12PATR_GAD

    public static final BibleBook T12PATR_GAD

### T12PATR_TISS

    public static final BibleBook T12PATR_TISS

### T12PATR_TJOS

    public static final BibleBook T12PATR_TJOS

### T12PATR_TJUD

    public static final BibleBook T12PATR_TJUD

### T12PATR_TLEVI

    public static final BibleBook T12PATR_TLEVI

### T12PATR_TNAPH

    public static final BibleBook T12PATR_TNAPH

### T12PATR_TREU

    public static final BibleBook T12PATR_TREU

### T12PATR_TSIM

    public static final BibleBook T12PATR_TSIM

### T12PATR_TZeb

    public static final BibleBook T12PATR_TZeb

### BAR2

    public static final BibleBook BAR2

### EP_BAR

    public static final BibleBook EP_BAR

### BARN

    public static final BibleBook BARN

### HERM

    public static final BibleBook HERM

### HERM_MAND

    public static final BibleBook HERM_MAND

### HERM_SIM

    public static final BibleBook HERM_SIM

### HERM_VIS

    public static final BibleBook HERM_VIS

### ADD_DAN

    public static final BibleBook ADD_DAN

### ADD_PS

    public static final BibleBook ADD_PS

### ESTH_GR

    public static final BibleBook ESTH_GR

Field Detail

### osis

    private String osis

  The OSIS name for the book.

### isShortBook

    private boolean isShortBook

  Indicates that the book consists of a single chapter.

### osisMap

    private static Map<String,BibleBook> osisMap

  A quick lookup based on OSIS name for the book

### exactMatches

    private static Map<String,BibleBook> exactMatches

Method Detail

### values

    public static BibleBook[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BibleBook c : BibleBook.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BibleBook valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getOSIS

    public String getOSIS()

  Get the OSIS representation of this BibleBook.

  Returns:
    the OSIS name

### toString

    public String toString()

  Get the OSIS representation of this BibleBook.

  Overrides:
    `toString` in class `Enum<BibleBook>`
  Returns:
    the OSIS name

### fromOSIS

    public static BibleBook fromOSIS(String osis)

  Case insensitive search for BibleBook for an OSIS name.

  Parameters:
    `osis` -
  Returns:
    the matching BibleBook or null

### fromExactOSIS

    public static BibleBook fromExactOSIS(String osis)

  Parameters:
    `osis` - the osis book reference, case sensitive
  Returns:
    the corresponding BibleBook

### isShortBook

    public boolean isShortBook()

  Returns:
    true to indicate a 1-chapter book only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD